$str.rightfromlast Returns the right part of a string from the last occurrence of a given substring
Usage
<string> $str.rightfromlast(<string:string>,<substring:string>[,<case:bool>])
Description

This function returns the right part of the string given as the first parameter from the position where the last occurrence of the string given as the second parameter is found. It doesn't include the substring of the second parameter in the returned value. If the substring is not found, an empty string is returned. If the third parameter is set to true, then the search is case sensitive; it defaults to false.

Examples
%test = "Hello! My nickname is Pragma, my name is Szymon" echo $str.rightfromlast(%test, My); // " name is Szymon" echo $str.rightfromlast(%test, My, true); // " nickname is Pragma, my name is Szymon" echo $str.rightfromlast(%test, invalid); // ""

Index, Functions